quantum-plugin-nicira miss a dependency

Bug #1097451 reported by Emilien Macchi on 2013-01-08
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu Cloud Archive
Undecided
Unassigned
neutron
Low
Aaron Rosen
Folsom
Low
Aaron Rosen
quantum (Ubuntu)
Low
Unassigned
Quantal
Undecided
Unassigned

Bug Description

quantum-plugin-nicira miss a python dependency :
python-mock

Distro : Ubuntu 12.04 LTS with Cloud Archive
Release : Folsom

Aaron Rosen (arosen) wrote :

Hi Emilien,

You are correct. Though once this (https://review.openstack.org/#/c/18930/) merges it will remove the missing dependency for mock in grizzly. I am infavor in backporting this patch to folsom too. If we do that than we can close this bug.

Thanks,

Aaron

Emilien Macchi (emilienm) wrote :

Aaron : +1

affects: ubuntu → quantum (Ubuntu)
Changed in quantum (Ubuntu):
importance: Undecided → Low
status: New → Confirmed

On Tue, Jan 8, 2013 at 12:39 PM, Aaron Rosen <email address hidden> wrote:

> Hi Emilien,
>
> You are correct. Though once this
> (https://review.openstack.org/#/c/18930/) merges it will remove the
> missing dependency for mock in grizzly. I am infavor in backporting
> this patch to folsom too. If we do that than we can close this bug.
>

that patch as a whole is too large for backporting in my opinion.

unless there is a smaller bugfix patch to back-port that removes the mock
dependency, i'd suggest adding the dependency for folsom, and then removing
in grizzly.

dan

>
> Thanks,
>
> Aaron
>
> --
> You received this bug notification because you are a member of Netstack
> Core Developers, which is subscribed to quantum.
> https://bugs.launchpad.net/bugs/1097451
>
> Title:
> quantum-plugin-nicira miss a dependency
>
> Status in OpenStack Quantum (virtual network service):
> New
> Status in “quantum” package in Ubuntu:
> Confirmed
>
> Bug description:
> quantum-plugin-nicira miss a python dependency :
> python-mock
>
>
> Distro : Ubuntu 12.04 LTS with Cloud Archive
> Release : Folsom
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/quantum/+bug/1097451/+subscriptions
>

--
~~~~~~~~~~~~~~~~~~~~~~~~~~~
Dan Wendlandt
Nicira, Inc: www.nicira.com
twitter: danwendlandt
~~~~~~~~~~~~~~~~~~~~~~~~~~~

Aaron Rosen (arosen) on 2013-01-11
Changed in quantum:
assignee: nobody → Aaron Rosen (arosen)
importance: Undecided → Low

Reviewed: https://review.openstack.org/19665
Committed: http://github.com/openstack/quantum/commit/9f1bf8d2dbaac9140e9373a4be476db027dc0979
Submitter: Jenkins
Branch: stable/folsom

commit 9f1bf8d2dbaac9140e9373a4be476db027dc0979
Author: Aaron Rosen <email address hidden>
Date: Mon Jan 14 12:57:41 2013 -0800

    quantum-plugin-nicira imports mock but was not used

    The import of mock prevents quantum from starting when using the
    nvp plugin since mock is not an install dependency. This patch
    removes where mock was imported but did not actually need to be.

    Fixes bug 1097451

    Change-Id: If1569d437fe523e4fac8d686da52b0508ca1cbf3

tags: added: in-stable-folsom
Mark McLoughlin (markmc) on 2013-01-22
tags: removed: in-stable-folsom
Mark McClain (markmcclain) wrote :

Fix landed in master branch, so closing main Quantum bug.

Changed in quantum:
status: New → Fix Released
Thierry Carrez (ttx) on 2013-02-04
Changed in quantum:
status: Fix Released → Fix Committed
Changed in quantum (Ubuntu):
status: Confirmed → Fix Released
Changed in cloud-archive:
status: New → Confirmed
Changed in quantum (Ubuntu Quantal):
status: New → Confirmed
Akihiro Motoki (amotoki) on 2013-02-17
Changed in quantum:
milestone: none → grizzly-3

Hello Emilien, or anyone else affected,

Accepted quantum into quantal-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/quantum/2012.2.3-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in quantum (Ubuntu Quantal):
status: Confirmed → Fix Committed
tags: added: verification-needed
Thierry Carrez (ttx) on 2013-02-21
Changed in quantum:
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2013-04-04
Changed in quantum:
milestone: grizzly-3 → 2013.1
Dave Walker (davewalker) wrote :

Hello Emilien, or anyone else affected,

Accepted quantum into quantal-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/quantum/2012.2.3-0ubuntu2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in quantum (Ubuntu Quantal):
status: Fix Committed → Confirmed
status: Confirmed → Fix Committed

Please find the attached test log from the Ubuntu Server Team's CI infrastructure. As part of the verification process for this bug, the OpenStack components have been deployed and configured across multiple nodes using quantal-proposed as an installation source. After successful bring-up and configuration of the cluster, a number of exercises and smoke tests have be invoked to ensure the updated package did not introduce any regressions. A number of test iterations were carried out to catch any possible transient errors.

These proposed packages were deployed and tested in several different configurations. Attached are tarballs with various test logs from each configuration. In addition to the base components, variables in deployments include:

quantal_folsom.tar: nova-network (FlatDHCP), glance (Ceph backend), cinder (Ceph backend),
quantal_folsom_nova-volume.tar: nova-network (FlatDHCP), glance (local file), nova-volume (iSCSI backend)
quantal_folsom_quantum.tar: quantum (OVS plugin), glance (Ceph backend), nova-volume (Ceph backend)

Please note the versions_tested file in each tarball, which contains details about relevant package versions installed and tested.

For records of upstream test coverage of this update, please see the Jenkins links in the comments of the relevant upstream code-review(s):

Stable review: https://review.openstack.org/19665

As per the provisional Micro Release Exception granted to this package by the Technical Board, we hope this contributes toward verification of this update.

Adam Gandelman (gandelman-a) wrote :

Test coverage log.

Adam Gandelman (gandelman-a) wrote :

Test coverage log.

Adam Gandelman (gandelman-a) wrote :

Test coverage log.

tags: added: verification-done
removed: verification-needed

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package quantum - 2012.2.3-0ubuntu2

---------------
quantum (2012.2.3-0ubuntu2) quantal-proposed; urgency=low

  * debian/quantum-common.install: Install the quantum-ovs-cleanup script
    that was backported to stable/folsom (LP: #1116671).

quantum (2012.2.3-0ubuntu1) quantal-proposed; urgency=low

  * Resynchronize with stable/folsom (d2a85e65) (LP: #1116671):
    - [a84ba7e] Quantum port update invokes invalid method LP: 1109001
    - [b56c2c9] Linuxbridge plugin: when admin status is set to False, port
      status is still ACTIVE LP: 1099065
    - [fe0ae7a] OVS cleanup utility does not use the correct root_helper
      LP: 1105193
    - [1a24b68] quantum server does not honor default_notification_level
      LP: 1089773
    - [24244c1] Gateway validation on subnet LP: 1096532
    - [2730e47] tenant cannot set his router's gateway port on an external
      network owned by other tenant LP: 1087243
    - [4c9326a] Invalid output when deleting a subnet with a port attached
      LP: 1093754
    - [9f1bf8d] quantum-plugin-nicira miss a dependency (LP: #1097451)
    - [579727a] ipallocationpools remains after subnet deletion LP: 1091946
    - [5f8dd88] Printing a list of networks terminates with exception
      LP: 1093637
    - [9c3812f] Update router gateway successful with existed floatingip
      association LP: 1081877
    - [5df31af] quantum-dhcp-agent should pass --conf-file with no argument to
      dnsmasq when no configure file specified instead not pass --conf-file at
      all LP: 1094183
    - [88261ce] the local vairable physical_network should be
      alloc.physical_network LP: 1091664
    - [43ece8f] Internal interfaces defined via OVS are not brought up properly
      after a reboot LP: 1091605
    - [a587abc] no check prevents deletion of router interface needed by a
      floating ip LP: 1081325
    - [d973a35] Pin pep8 to v1.3.3.
    - [19b5904] DHCP agent does not listen on a unique queue LP: 1084621
    - [0e05ddd] dhcp.filters needs ovs_vsctl permission LP: 1090072
    - [16e128c] Bump next version to 2012.2.3
    - [30572ac] Quantum-l3-agent leaves multiple NAT rules for same floating IP
      LP: 1083990
    - [01ea272] delete router fails with internal sever error when floatingip
      association remains LP: 1080638
    - [8017d09] Fix rpc control_exchange regression.
  * debian/patches/fix-ubuntu-tests.patch: Refreshed, added skipTests for
    linuxbridge tests that attempt to setup udev monitors.
 -- Adam Gandelman <email address hidden> Fri, 01 Mar 2013 11:12:34 -0800

Changed in quantum (Ubuntu Quantal):
status: Fix Committed → Fix Released
Changed in cloud-archive:
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers